Package org.silverpeas.components.kmelia.model

## Class AbstractPublicationComparator

- java.lang.Object
- - org.silverpeas.core.util.comparator.AbstractComparator<C>
  - - org.silverpeas.core.util.comparator.AbstractComplexComparator<KmeliaPublication>
    - - org.silverpeas.components.kmelia.model.AbstractPublicationComparator

- All Implemented Interfaces:
    `Serializable`, `Comparator<KmeliaPublication>`

      public abstract class AbstractPublicationComparator
      extends org.silverpeas.core.util.comparator.AbstractComplexComparator<KmeliaPublication>

  Each implementation setups the values on which the comparator MUST compare. In any case the comparison on identifier of publication is then added.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.silverpeas.core.util.comparator.AbstractComplexComparator

      `org.silverpeas.core.util.comparator.AbstractComplexComparator.StringWrapper, org.silverpeas.core.util.comparator.AbstractComplexComparator.ValueBuffer`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AbstractPublicationComparator​(boolean asc)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected org.silverpeas.core.util.comparator.AbstractComplexComparator.ValueBuffer` | `getValuesToCompare​(KmeliaPublication publication)` |

    - ### Methods inherited from class org.silverpeas.core.util.comparator.AbstractComplexComparator

      `compare`

    - ### Methods inherited from class org.silverpeas.core.util.comparator.AbstractComparator

      `compare, strictComparisonOnText`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.util.Comparator

      `equals, reversed, thenComparing, thenComparing, thenComparing, thenComparingDouble, thenComparingInt, thenComparingLong`

- - ### Constructor Detail

    - #### AbstractPublicationComparator

          public AbstractPublicationComparator​(boolean asc)

  - ### Method Detail

    - #### getValuesToCompare

          protected org.silverpeas.core.util.comparator.AbstractComplexComparator.ValueBuffer getValuesToCompare​(KmeliaPublication publication)

      Specified by:
        `getValuesToCompare` in class `org.silverpeas.core.util.comparator.AbstractComplexComparator<KmeliaPublication>`